package com.beanpodtech.allinone.bean;

import com.google.gson.annotations.SerializedName;

/**
 * @Description: java类作用描述
 * @Author: 大魔王老杨
 * @Date: 4/28/21 3:59 PM
 */
public class DescribeVerifyBean {


    @SerializedName("VerifyStatus")
    private String verifyStatus;
    @SerializedName("Material")
    private MaterialBean material;
    @SerializedName("AuthorityComparisonScore")
    private String authorityComparisonScore;

    public String getVerifyStatus() {
        return verifyStatus;
    }

    public void setVerifyStatus(String verifyStatus) {
        this.verifyStatus = verifyStatus;
    }

    public MaterialBean getMaterial() {
        return material;
    }

    public void setMaterial(MaterialBean material) {
        this.material = material;
    }

    public String getAuthorityComparisonScore() {
        return authorityComparisonScore;
    }

    public void setAuthorityComparisonScore(String authorityComparisonScore) {
        this.authorityComparisonScore = authorityComparisonScore;
    }

    public static class MaterialBean {
        @SerializedName("FaceImageUrl")
        private String faceImageUrl;
        @SerializedName("FaceMask")
        private String faceMask;
        @SerializedName("FaceQuality")
        private String faceQuality;
        @SerializedName("IdCardName")
        private String idCardName;
        @SerializedName("IdCardNumber")
        private String idCardNumber;
        @SerializedName("IdCardInfo")
        private IdCardInfoBean idCardInfo;

        public String getFaceImageUrl() {
            return faceImageUrl;
        }

        public void setFaceImageUrl(String faceImageUrl) {
            this.faceImageUrl = faceImageUrl;
        }

        public String getFaceMask() {
            return faceMask;
        }

        public void setFaceMask(String faceMask) {
            this.faceMask = faceMask;
        }

        public String getFaceQuality() {
            return faceQuality;
        }

        public void setFaceQuality(String faceQuality) {
            this.faceQuality = faceQuality;
        }

        public String getIdCardName() {
            return idCardName;
        }

        public void setIdCardName(String idCardName) {
            this.idCardName = idCardName;
        }

        public String getIdCardNumber() {
            return idCardNumber;
        }

        public void setIdCardNumber(String idCardNumber) {
            this.idCardNumber = idCardNumber;
        }

        public IdCardInfoBean getIdCardInfo() {
            return idCardInfo;
        }

        public void setIdCardInfo(IdCardInfoBean idCardInfo) {
            this.idCardInfo = idCardInfo;
        }

        public static class IdCardInfoBean {
            @SerializedName("FrontImageUrl")
            private String frontImageUrl;
            @SerializedName("BackImageUrl")
            private String backImageUrl;
            @SerializedName("Name")
            private String name;
            @SerializedName("Number")
            private String number;
            @SerializedName("Birth")
            private String birth;
            @SerializedName("Address")
            private String address;
            @SerializedName("StartDate")
            private String startDate;
            @SerializedName("EndDate")
            private String endDate;
            @SerializedName("Authority")
            private String authority;

            public String getFrontImageUrl() {
                return frontImageUrl;
            }

            public void setFrontImageUrl(String frontImageUrl) {
                this.frontImageUrl = frontImageUrl;
            }

            public String getBackImageUrl() {
                return backImageUrl;
            }

            public void setBackImageUrl(String backImageUrl) {
                this.backImageUrl = backImageUrl;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getNumber() {
                return number;
            }

            public void setNumber(String number) {
                this.number = number;
            }

            public String getBirth() {
                return birth;
            }

            public void setBirth(String birth) {
                this.birth = birth;
            }

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }

            public String getStartDate() {
                return startDate;
            }

            public void setStartDate(String startDate) {
                this.startDate = startDate;
            }

            public String getEndDate() {
                return endDate;
            }

            public void setEndDate(String endDate) {
                this.endDate = endDate;
            }

            public String getAuthority() {
                return authority;
            }

            public void setAuthority(String authority) {
                this.authority = authority;
            }
        }
    }
}
